const int PinLEDR = 11;
int Luminosite = 0;

void setup() {
  Serial.begin(9600);
  pinMode (PinLEDR, OUTPUT);
  digitalWrite(PinLEDR,0);
  Serial.println("Veuillez saisir la luminosite de la DEL rouge (valeur entre 1 et 255):");
  Serial.println("");
  Serial.setTimeout(100);
}

void loop() {
  while(Luminosite<1 || Luminosite>255)  
  {     
    Luminosite=Serial.parseInt();
  }
  Serial.print("Luminosite de la DEL rouge choisie : "); Serial.println(Luminosite);
  Serial.println("");
  analogWrite(PinLEDR,Luminosite);
  Luminosite=0;
}
